Package com.snowflake.snowpark_java.types

## Class Geometry

- java.lang.Object
- - com.snowflake.snowpark_java.types.Geometry

- All Implemented Interfaces:
    `java.io.Serializable`

      public class Geometry
      extends java.lang.Object
      implements java.io.Serializable

  Java representation of Snowflake Geometry data.
  Since:
    1.12.0
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object other)` | Checks whether two Geometry object are equal.
    `static Geometry` | `fromGeoJSON​(java.lang.String g)` | Creates a Geometry object from a GeoJSON string.
    `int` | `hashCode()` | Calculates the hash code of this Geometry Object.
    `java.lang.String` | `toString()` | Converts this Geometry object to a String value.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object other)

      Checks whether two Geometry object are equal.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `other` - A Geometry object
      Returns:
        true if these two object are equal
      Since:
        1.12.0

    - #### hashCode

          public int hashCode()

      Calculates the hash code of this Geometry Object.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        An int number representing the hash code value
      Since:
        1.12.0

    - #### toString

          public java.lang.String toString()

      Converts this Geometry object to a String value.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A String value.
      Since:
        1.12.0

    - #### fromGeoJSON

          public static Geometry fromGeoJSON​(java.lang.String g)

      Creates a Geometry object from a GeoJSON string.
      Parameters:
        `g` - GeoJSON String
      Returns:
        a new Geometry object
      Since:
        1.12.0